Eggdrop Server Module Message Handling Remote Buffer Overflow Vulnerability

Bugtraq ID: 24070
Class: Boundary Condition Error
CVE: CVE-2007-2807
Remote: Yes
Local: No
Published: May 21 2007 12:00AM
Updated: Jul 09 2009 06:06PM
Credit: Bow Sineath is credited with the discovery of this vulnerability
Vulnerable: Red Hat Fedora 8
Red Hat Fedora 7
Mandriva Linux Mandrake 2007.1 x86_64
Mandriva Linux Mandrake 2007.1
Mandriva Linux Mandrake 2007.0 x86_64
Mandriva Linux Mandrake 2007.0
MandrakeSoft Corporate Server 3.0 x86_64
MandrakeSoft Corporate Server 3.0
Gentoo Linux
Eggheads Eggdrop IRC bot 1.6.18
Eggheads Eggdrop IRC bot 1.6.17
Eggheads Eggdrop IRC bot 1.6.15
Eggheads Eggdrop IRC bot 1.6.14
Eggheads Eggdrop IRC bot 1.6.13
Eggheads Eggdrop IRC bot 1.6.12
Eggheads Eggdrop IRC bot 1.6.11
Eggheads Eggdrop IRC bot 1.6.10
Debian Linux 3.1 sparc
Debian Linux 3.1 s/390
Debian Linux 3.1 ppc
Debian Linux 3.1 mipsel
Debian Linux 3.1 mips
Debian Linux 3.1 m68k
Debian Linux 3.1 ia-64
Debian Linux 3.1 ia-32
Debian Linux 3.1 hppa
Debian Linux 3.1 arm
Debian Linux 3.1 amd64
Debian Linux 3.1 alpha
Debian Linux 3.1
Debian Linux 5.0 sparc
Debian Linux 5.0 s/390
Debian Linux 5.0 powerpc
Debian Linux 5.0 mipsel
Debian Linux 5.0 mips
Debian Linux 5.0 m68k
Debian Linux 5.0 ia-64
Debian Linux 5.0 ia-32
Debian Linux 5.0 hppa
Debian Linux 5.0 armel
Debian Linux 5.0 arm
Debian Linux 5.0 amd64
Debian Linux 5.0 alpha
Debian Linux 5.0
Debian Linux 4.0 sparc
Debian Linux 4.0 s/390
Debian Linux 4.0 powerpc
Debian Linux 4.0 mipsel
Debian Linux 4.0 mips
Debian Linux 4.0 m68k
Debian Linux 4.0 ia-64
Debian Linux 4.0 ia-32
Debian Linux 4.0 hppa
Debian Linux 4.0 armel
Debian Linux 4.0 arm
Debian Linux 4.0 amd64
Debian Linux 4.0 alpha
Debian Linux 4.0
Not Vulnerable:


 

Privacy Statement
Copyright 2010, SecurityFocus